Bug 116951 - [NEW PORT] graphics/gpicview: A Simple and Fast Image Viewer for X
Summary: [NEW PORT] graphics/gpicview: A Simple and Fast Image Viewer for X
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-05 15:20 UTC by Janos Mohacsi
Modified: 2007-10-08 14:20 UTC (History)
0 users

See Also:


Attachments
gpicview-0.1.5.shar (2.18 KB, text/plain)
2007-10-05 15:20 UTC, Janos Mohacsi
no flags Details
patch-src_Makefile.am (334 bytes, text/plain)
2007-10-06 16:37 UTC, Mohacsi Janos
no flags Details
patch-src_Makefile.in (354 bytes, text/plain)
2007-10-06 16:37 UTC, Mohacsi Janos
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Janos Mohacsi 2007-10-05 15:20:02 UTC
GPicView - A Simple and Fast Image Viewer for X

Features:
    * Extremely lightweight and fast with low memory usage
    * Very suitable for default image viewer of desktop system
    * Simple and intuitive interface
    * Minimal lib dependency: Only pure GTK+ is used
    * Desktop independent: Doesn't require any specific desktop environment
    * Open source, licensed under GNU GPL


WWW:	http://lxde.sourceforge.net/gpicview/

Generated with FreeBSD Port Tools 0.77
Comment 1 Martin Wilke freebsd_committer 2007-10-05 15:31:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-10-05 19:22:53 UTC
State Changed
From-To: open->feedback

Hi, 

Build failed. 

http://amd64.miwibox.org/tb/index.php?action=describe_port&id=1634 
http://head.miwibox.org/tb/index.php?action=describe_port&id=2192 

Thanks.
Comment 3 Mohacsi Janos 2007-10-06 16:37:12 UTC
I attach a patch that fixes the problem.The -nodefaultlibs working
differently on gcc 4.x than on the earlier gcc, therefore linking fails
on older gcc.

Generally this patch should be applied on pre 7.x systems, but applying
on 7.x does not make any real harm.

Regards,
             Janos Mohacsi
Comment 4 Martin Wilke freebsd_committer 2007-10-08 14:15:06 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!
Comment 5 dfilter service freebsd_committer 2007-10-08 14:15:41 UTC
miwi        2007-10-08 13:15:21 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/gpicview    Makefile distinfo pkg-descr pkg-plist 
    graphics/gpicview/files patch-src_Makefile.am 
                            patch-src_Makefile.in 
  Log:
  GPicView - A Simple and Fast Image Viewer for X
  
  Features:
      * Extremely lightweight and fast with low memory usage
      * Very suitable for default image viewer of desktop system
      * Simple and intuitive interface
      * Minimal lib dependency: Only pure GTK+ is used
      * Desktop independent: Doesn't require any specific desktop environment
      * Open source, licensed under GNU GPL
  
  WWW:    http://lxde.sourceforge.net/gpicview/
  
  PR:             ports/116951
  Submitted by:   Janos Mohacsi <janos.mohacsi at bsd.hu>
  
  Revision  Changes    Path
  1.1111    +1 -0      ports/graphics/Makefile
  1.1       +21 -0     ports/graphics/gpicview/Makefile (new)
  1.1       +3 -0      ports/graphics/gpicview/distinfo (new)
  1.1       +14 -0     ports/graphics/gpicview/files/patch-src_Makefile.am (new)
  1.1       +14 -0     ports/graphics/gpicview/files/patch-src_Makefile.in (new)
  1.1       +12 -0     ports/graphics/gpicview/pkg-descr (new)
  1.1       +11 -0     ports/graphics/gpicview/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"